/* <![CDATA[ */
jQuery(document).ready(function() {
	// remove autoplay from all videos, except the first one, in the slider
	jQuery( '.et_embedded_videos iframe' ).each( function( index ) {
		var $this_frame = jQuery(this),
			frame_src	= $this_frame.attr( 'src' );

		if ( -1 !== frame_src.indexOf( 'autoplay=1' ) ) {
			frame_src = frame_src.replace( /autoplay=1/g, '' );
			$this_frame
				.addClass( 'et_autoplay_removed' )
				.attr( 'src', '' )
				.attr( 'src', frame_src );
		}
	} );

	jQuery("a[class*=fancybox]").fancybox({
		'overlayOpacity'	:	0.7,
		'overlayColor'		:	'#000000',
		'transitionIn'		: 'elastic',
		'transitionOut'		: 'elastic',
		'easingIn'      	: 'easeOutBack',
		'easingOut'     	: 'easeInBack',
		'speedIn' 			: '700',
		'centerOnScroll'	: true,
		'onComplete'		: function( currentArray, currentIndex, currentOpts ) {
			if ( currentOpts.type == 'image' ) return;

			var $this_frame 	= jQuery( '#fancybox-wrap' ).find( 'iframe' ),
				this_frame_src 	= $this_frame.attr( 'src' );

			$this_frame.data( 'et_video_embed', $this_frame.attr( 'src' ) );

			// if we removed autoplay previously, let's add it back
			if ( jQuery( currentOpts.href ).find( 'iframe' ).hasClass( 'et_autoplay_removed' ) )
				$this_frame.attr( 'src', this_frame_src + '&autoplay=1' );
		},
		'onClosed'			: function( currentArray, currentIndex, currentOpts ) {
			if ( currentOpts.type == 'image' ) return;

			var $this_frame = jQuery( currentOpts.href ).find( 'iframe.et_autoplay_removed' ),
				this_frame_src,
				$frame = jQuery( currentOpts.href ).find( 'iframe' );

			$frame.attr( 'src', $frame.data( 'et_video_embed' ) )

			if ( $this_frame.length ) {
				// delete autoplay after closing the fancybox window to prevent videos from playing in background
				frame_src = $this_frame.attr( 'src' ).replace( /autoplay=1/g, '' );
				$this_frame
					.attr( 'src', '' )
					.attr( 'src', frame_src );
			}
		}
	});

	jQuery("a[class*='et_video_lightbox']").click(function(){
		var et_video_href = jQuery(this).attr('href'),
			et_video_link;

		et_vimeo = et_video_href.match(/vimeo.com\/(.*)/i);
		if ( et_vimeo != null )	et_video_link = 'http://player.vimeo.com/video/' + et_vimeo[1];
		else {
			et_youtube = et_video_href.match(/watch\?v=([^&]*)/i);
			if ( et_youtube != null ) et_video_link = 'http://youtube.com/embed/' + et_youtube[1];
		}

		jQuery.fancybox({
			'overlayOpacity'	:	0.7,
			'overlayColor'		:	'#000000',
			'autoScale'		: false,
			'transitionIn'	: 'elastic',
			'transitionOut'	: 'elastic',
			'easingIn'      : 'easeOutBack',
			'easingOut'     : 'easeInBack',
			'type'			: 'iframe',
			'centerOnScroll'	: true,
			'speedIn' 			: '700',
			'href'			: et_video_link
		});
		return false;
	});


	var $et_searchinput = jQuery('#et-searchinput');
		etsearchvalue = $et_searchinput.val();

	$et_searchinput.focus(function(){
		if (jQuery(this).val() === etsearchvalue) jQuery(this).val("");
	}).blur(function(){
		if (jQuery(this).val() === "") jQuery(this).val(etsearchvalue);
	});


});
/* ]]> */